Skip to main content
`Ctrl`+`K`

# PetscObjectGetClassId

Gets the classid for any `PetscObject`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetClassId(PetscObject obj, PetscClassId *classid)

Not Collective

## Input Parameter

- obj - any PETSc object, for example a `Vec`, `Mat` or `KSP`. It must be cast with a (`PetscObject`), for example, `PetscObjectGetClassId`((`PetscObject`)mat,&classid);

## Output Parameter

- classid - the classid

## See Also

`PetscObject`, `PetscClassId`, `PetscObjectGetClassName()`, `PetscObjectGetType()`

## Level

developer

## Location

src/sys/objects/gcookie.c

## Examples

src/mat/tutorials/ex7.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages